### Method

# Gegl Pathget_node

#### Declaration [src]

    gboolean
    gegl_path_get_node (
      GeglPath* path,
      gint index,
      GeglPathItem* node
    )

#### Description [src]

Retrieve the node of the path at position `pos`.

Returns TRUE if the node was successfully retrieved.

#### Parameters

`index`

  Type: `gint`

  The node number to retrieve.

`node`

  Type: `GeglPathItem`

  A pointer to a `GeglPathItem` record to be written.

  The argument will be set by the function.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

No description available.